LINUX.ORG.RU

ruby version

 


0

1

Подскажите пожалуйста как мне изменить версию ruby под пользователем. К примеру под root ruby -v выдает 2.3.1 а под другим пользователем выдает 2.2.1 Как же мне изменить под пользователем ruby на 2.3.1 ?

Ответ на: комментарий от madcry
rvm install ruby-2.3.7
rvm use ruby-2.3.7

тоже самое работает для других версий, например ruby-2.5.1

Ford_Focus ★★★★★ ()
Последнее исправление: Ford_Focus (всего исправлений: 1)
Ответ на: комментарий от oster2011

В итоге установил новую версию, но ошибка не изменилась При попытке зайти на сайт выдает:

Could not find activesupport-5.2.2 in any of the sources (Bundler::GemNotFound)
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler/spec_set.rb:94:in `block in materialize'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler/spec_set.rb:87:in `map!'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler/spec_set.rb:87:in `materialize'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler/definition.rb:137:in `specs'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler/definition.rb:182:in `specs_for'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler/definition.rb:171:in `requested_specs'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler/environment.rb:18:in `requested_specs'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler/runtime.rb:13:in `setup'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler.rb:92:in `setup'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/bundler-1.11.2/lib/bundler/setup.rb:18:in `<top (required)>'
  /home/redmine/.rvm/rubies/ruby-2.2.1/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
  /home/redmine/.rvm/rubies/ruby-2.2.1/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/passenger-5.0.24/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:430:in `activate_gem'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/passenger-5.0.24/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:297:in `block in run_load_path_setup_code'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/passenger-5.0.24/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:435:in `running_bundler'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/passenger-5.0.24/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:296:in `run_load_path_setup_code'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/passenger-5.0.24/src/helper-scripts/rack-preloader.rb:100:in `preload_app'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/passenger-5.0.24/src/helper-scripts/rack-preloader.rb:156:in `<module:App>'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/passenger-5.0.24/src/helper-scripts/rack-preloader.rb:30:in `<module:PhusionPassenger>'
  /home/redmine/.rvm/gems/ruby-2.2.1/gems/passenger-5.0.24/src/helper-scripts/rack-preloader.rb:29:in `<main>'

Пытается искать гемы не в том каталоге...

ruby -v 
ruby 2.5.3p105 (2018-10-18 revision 65156) [x86_64-linux]
redmine@srv-redmine:/opt/redmine-4.0.0$ ls  /home/redmine/.rvm/gems/
cache  default  ruby-2.2.1  ruby-2.2.1@global  ruby-2.5.3  ruby-2.5.3@global  ruby-2.5.3-version  ruby-2.5.3-version@global
redmine@srv-redmine:/opt/redmine-4.0.0$ bundle env
fatal: Not a git repository (or any of the parent directories): .git
## Environment

```
Bundler             1.16.2
  Platforms         ruby, x86_64-linux
Ruby                2.5.3p105 (2018-10-18 revision 65156) [x86_64-linux]
  Full Path         /usr/share/rvm/rubies/ruby-2.5.3/bin/ruby
  Config Dir        /etc
RubyGems            2.7.7
  Gem Home          /home/redmine/.rvm/gems/ruby-2.5.3
  Gem Path          /home/redmine/.rvm/gems/ruby-2.5.3:/home/redmine/.rvm/gems/ruby-2.5.3@global
  User Path         /home/redmine/.gem/ruby/2.5.0
  Bin Dir           /home/redmine/.rvm/gems/ruby-2.5.3/bin
Tools
  Git               2.7.4
  RVM               1.29.6 (manual)
  rbenv             not installed
  chruby            not installed
  rubygems-bundler  (1.4.5)

Как его зас

madcry ()
Ответ на: комментарий от bread

Спасибо за помощь, первый раз с этим столкнулся сегодня

madcry ()
Ответ на: комментарий от bread

выкинь свою голову! RVM устанавливать по манам, и работать спокойно с какой угодно версией и любым набором гемов.

DILIN ★★★★ ()
Ответ на: комментарий от DILIN

RVM не нужен, это монстроужос. Гемсеты не нужны с тех времен как изобрели bundler. Ставишь любые версии с помощью ruby-install, переключаешь с помощью chruby, если лень две переменные подправить.

bread ()
Ответ на: комментарий от madcry

Ну в ~/.profile пропиши:

export RUBY_ROOT=path
export GEM_ROOT=path
Хотя у тебя rvm, он может все переколбасить. Мануал прочитал точно как его настраивать? Там нужно что-то в .bashrc добавлять емнип.

bread ()
Ответ на: комментарий от bread

И еще PATH=«$RUBY_ROOT/bin:$PATH», чтобы системный руби не подсовывали тебе. Сейчас подумал, что с rvm все это не прокатит, у него своя кухня.

bread ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.